<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" href="css/style.css">
	<script src="js/funciones.js"></script>
	<script type="text/javascript">
		/*
		usar transaciones
		https://www.w3schools.com/cssref/tryit.asp?filename=trycss3_transition
		objeto origin:
		https://www.w3schools.com/cssref/tryit.asp?filename=trycss3_transform-origin
		date:
		https://www.w3schools.com/jsref/jsref_getday.asp
		y setinterval
		 */
		//console.log(ConversorGradosTiempo(6));
		
		window.addEventListener("load", function(){

			let horaJson={};
			//Para manejar las flechas			
			let flechaSeg=document.querySelector("#fs");
			let flechaMin=document.querySelector("#fm");
			let flechaHor=document.querySelector("#fh");
			
			//Para que se muevan las flechas
			setInterval(function(){
				//duda, preguntar si es correcto crear la variable dentro del setinterval
			let horaEnGrados=ConversorTiempoAGrados(laHoraEs());
			console.log(horaEnGrados["segundos"]);
			console.log(horaEnGrados["minutos"]);
			console.log(horaEnGrados["horas"]);
		
			flechaSeg.style.transform="rotate("+horaEnGrados["segundos"]+"deg)";
			flechaMin.style.transform="rotate("+horaEnGrados["minutos"]+"deg)";
			flechaHor.style.transform="rotate("+horaEnGrados["horas"]+"deg)";
			
			console.log(laHoraEs());
			
			}, 1000);
			
		});
	
	</script>
</head>
<body>
	<div id="principal">
		<div id="fh"></div>
		<div id="fm"></div>
		<div id="fs"></div>
	</div>
</body>
</html>